using System;

namespace Takmicenje
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            char[] slova = Console.ReadLine().ToCharArray();
            string[] brojevi = Console.ReadLine().Split(' ');
            int a1 = int.Parse(brojevi[0]);
            int a2 = int.Parse(brojevi[1]);

            if (Math.Abs(a2 - a1) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else if (a1 > a2)
            {
                for (int i = 0; i < a2; i++)
                {
                    Console.Write("{0}{1}", slova[0], slova[1]);
                }
                Console.Write(slova[0]);
            }
            else if (a1 < a2)
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write("{0}{1}", slova[1], slova[0]);
                }
                Console.Write(slova[1]);
            }
            else
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write("{0}{1}", slova[0], slova[1]);
                }
            }
        }
    }
}